# MySQL-Front Dump 1.19 beta
#
# Host: localhost Database: puddled_biz
#--------------------------------------------------------
# Server version 4.0.0-alpha-nt


#
# Table structure for table 'holding_orders'
#

CREATE TABLE /*!32300 IF NOT EXISTS*/ holding_orders (
  orders_id int(11) NOT NULL auto_increment,
  customers_id int(11) NOT NULL DEFAULT '0' ,
  customers_name varchar(64) NOT NULL DEFAULT '' ,
  customers_company varchar(32) ,
  customers_street_address varchar(64) NOT NULL DEFAULT '' ,
  customers_suburb varchar(32) ,
  customers_city varchar(32) NOT NULL DEFAULT '' ,
  customers_postcode varchar(10) NOT NULL DEFAULT '' ,
  customers_state varchar(32) ,
  customers_country varchar(32) NOT NULL DEFAULT '' ,
  customers_telephone varchar(32) NOT NULL DEFAULT '' ,
  customers_email_address varchar(96) NOT NULL DEFAULT '' ,
  customers_address_format_id int(5) NOT NULL DEFAULT '0' ,
  delivery_name varchar(64) NOT NULL DEFAULT '' ,
  delivery_company varchar(32) ,
  delivery_street_address varchar(64) NOT NULL DEFAULT '' ,
  delivery_suburb varchar(32) ,
  delivery_city varchar(32) NOT NULL DEFAULT '' ,
  delivery_postcode varchar(10) NOT NULL DEFAULT '' ,
  delivery_state varchar(32) ,
  delivery_country varchar(32) NOT NULL DEFAULT '' ,
  delivery_address_format_id int(5) NOT NULL DEFAULT '0' ,
  billing_name varchar(64) NOT NULL DEFAULT '' ,
  billing_company varchar(32) ,
  billing_street_address varchar(64) NOT NULL DEFAULT '' ,
  billing_suburb varchar(32) ,
  billing_city varchar(32) NOT NULL DEFAULT '' ,
  billing_postcode varchar(10) NOT NULL DEFAULT '' ,
  billing_state varchar(32) ,
  billing_country varchar(32) NOT NULL DEFAULT '' ,
  billing_address_format_id int(5) NOT NULL DEFAULT '0' ,
  payment_method varchar(32) NOT NULL DEFAULT '' ,
  cc_type varchar(20) ,
  cc_owner varchar(64) ,
  cc_number varchar(32) ,
  cc_expires varchar(4) ,
  last_modified datetime ,
  date_purchased datetime ,
  orders_status int(5) NOT NULL DEFAULT '1' ,
  orders_date_finished datetime ,
  currency char(3) ,
  currency_value decimal(14,6) ,
  ip_address varchar(50) NOT NULL DEFAULT '' ,
  PRIMARY KEY (orders_id)
);


#
# Table structure for table 'holding_orders_products'
#

CREATE TABLE /*!32300 IF NOT EXISTS*/ holding_orders_products (
  orders_products_id int(11) NOT NULL auto_increment,
  orders_id int(11) NOT NULL DEFAULT '0' ,
  products_id int(11) NOT NULL DEFAULT '0' ,
  products_model varchar(12) ,
  products_name varchar(64) NOT NULL DEFAULT '' ,
  products_price decimal(15,4) NOT NULL DEFAULT '0.0000' ,
  final_price decimal(15,4) NOT NULL DEFAULT '0.0000' ,
  products_tax decimal(7,4) NOT NULL DEFAULT '0.0000' ,
  products_quantity int(2) NOT NULL DEFAULT '0' ,
  products_returned tinyint(2) unsigned DEFAULT '0' ,
  products_exchanged tinyint(2) NOT NULL DEFAULT '0' ,
  products_exchanged_id int(11) NOT NULL DEFAULT '0' ,
  PRIMARY KEY (orders_products_id)
);


#
# Table structure for table 'holding_orders_products_attributes'
#

CREATE TABLE /*!32300 IF NOT EXISTS*/ holding_orders_products_attributes (
  orders_products_attributes_id int(11) NOT NULL auto_increment,
  orders_id int(11) NOT NULL DEFAULT '0' ,
  orders_products_id int(11) NOT NULL DEFAULT '0' ,
  products_options varchar(32) NOT NULL DEFAULT '' ,
  products_options_values varchar(32) NOT NULL DEFAULT '' ,
  options_values_price decimal(15,4) NOT NULL DEFAULT '0.0000' ,
  price_prefix char(1) NOT NULL DEFAULT '' ,
  PRIMARY KEY (orders_products_attributes_id)
);


#
# Table structure for table 'holding_orders_products_download'
#

CREATE TABLE /*!32300 IF NOT EXISTS*/ holding_orders_products_download (
  orders_products_download_id int(11) NOT NULL auto_increment,
  orders_id int(11) NOT NULL DEFAULT '0' ,
  orders_products_id int(11) NOT NULL DEFAULT '0' ,
  orders_products_filename varchar(255) NOT NULL DEFAULT '' ,
  download_maxdays int(2) NOT NULL DEFAULT '0' ,
  download_count int(2) NOT NULL DEFAULT '0' ,
  PRIMARY KEY (orders_products_download_id)
);


#
# Table structure for table 'holding_orders_status_history'
#

CREATE TABLE /*!32300 IF NOT EXISTS*/ holding_orders_status_history (
  orders_status_history_id int(11) NOT NULL auto_increment,
  orders_id int(11) NOT NULL DEFAULT '0' ,
  orders_status_id int(5) NOT NULL DEFAULT '0' ,
  date_added datetime NOT NULL DEFAULT '0000-00-00 00:00:00' ,
  customer_notified int(1) DEFAULT '0' ,
  comments text ,
  PRIMARY KEY (orders_status_history_id)
);


#
# Table structure for table 'holding_orders_total'
#

CREATE TABLE /*!32300 IF NOT EXISTS*/ holding_orders_total (
  orders_total_id int(10) unsigned NOT NULL auto_increment,
  orders_id int(11) NOT NULL DEFAULT '0' ,
  title varchar(255) NOT NULL DEFAULT '' ,
  text varchar(255) NOT NULL DEFAULT '' ,
  value decimal(15,4) NOT NULL DEFAULT '0.0000' ,
  class varchar(32) NOT NULL DEFAULT '' ,
  sort_order int(11) NOT NULL DEFAULT '0' ,
  PRIMARY KEY (orders_total_id),
  INDEX idx_orders_total_orders_id (orders_id)
);
